<?php
/**
 * Hellos View for Hello World Component
 * 
 * @package    OpenSourceTechnologies.Map Locator
 * @subpackage Components
 * @copyright	Copyright (c)2011 Open Source Technologies. All Rights Reserved.
 * @license		GNU/GPLv3
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Hellos View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class MapLocatorViewSitelocations extends JView
{
		/**
		 * display method of sitee Location view
		 * @return void
		 **/
		function display($tpl = null)
		{
		//get the hello
			$sitelocations		=& $this->get('Data');
			$user	=& JFactory::getUser();

			
			$isNew		= ($sitelocations->id < 1);

			$text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
			//$author = $isNew ? $user->id : $sitelocations->author;
			
			JToolBarHelper::title(   JText::_( 'Site Location' ).': <small><small>[ ' . $text.' ]</small></small>' );
			JToolBarHelper::save();
			if ($isNew)  {
				JToolBarHelper::cancel();
			} else {
				// for existing items the button is renamed `close`
				JToolBarHelper::cancel( 'cancel', 'Close' );
			}
			
			//gather categories
		$query = "SELECT country_id, country_name, latitude, longitude FROM #__country ORDER BY country_name ASC";
		$db = &JFactory::getDBO();
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$countylist[]         = JHTML::_('select.option',  '0', JText::_( '- Select Country -' ), 'country_id', 'country_name' );
		$countylist         = array_merge( $countylist, $result );	
		
		$country_id = JHTML::_('select.genericlist',   $countylist, 'country_id', 'class="inputbox" size="1"', 'country_id', 'country_name', $sitelocations->country_id);


		
		
		//gather State
		
		$countryids=$sitelocations->country_id;
	
	$query = "SELECT state_name, state_id FROM #__state where country_id= '".$countryids."'  ORDER BY state_name ASC"; 
		$db = &JFactory::getDBO();
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$statelist[]         = JHTML::_('select.option',  '0', JText::_( '- Select State -' ), 'state_id', 'state_name' );
		$statelist         = array_merge( $statelist, $result );		
		
		$state_id = JHTML::_('select.genericlist',   $statelist, 'state_id', 'class="inputbox" size="1" ', 'state_id', 'state_name', $sitelocations->state_id);

		
   //gather City
	     $stateids=$sitelocations->state_id;
	
	    $query = "SELECT city_name, city_id FROM #__city where state_id= '".$stateids."'  ORDER BY city_name ASC"; 
		$db = &JFactory::getDBO();
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$citylist[]         = JHTML::_('select.option',  '0', JText::_( '- Select City -' ), 'city_id', 'city_name' );
		$citylist         = array_merge( $citylist, $result );		
		
		$city_id = JHTML::_('select.genericlist',   $citylist, 'city_id', 'class="inputbox" size="1" ', 'city_id', 'city_name', $sitelocations->city_id);

		$this->assignRef('sitelocations', $sitelocations);
		$this->assignRef('state_id', $state_id);
		$this->assignRef('created_by', $created_by);
	    $this->assignRef('country_id', $country_id);
		$this->assignRef('city_id', $city_id);	

		
		parent::display($tpl);
		
		
	}
}

		